#!/usr/bin/env bash

APP_TAG="v`node -p 'require("./package.json").version'`"
GIT_COMMIT=`git rev-parse HEAD`

# see http://docs.travis-ci.com/user/originment/custom/
echo $0: configuring git
git config --global user.email "builds@travis-ci.com"
git config --global user.name "Travis CI"

echo $0: git reseting
git reset --hard HEAD

echo $0: tagging commit ${GIT_COMMIT} as ${APP_TAG}
git tag "${APP_TAG}" "${GIT_COMMIT}"

echo $0: version bumping
npm version patch -m 'Version bump to %s'

echo $0: pushing tags and master
git push -q origin master --tags

